package fr.bhprod.sga.tools;

import org.apache.log4j.Logger;

import com.jme.math.Matrix3f;
import com.jme.math.Vector3f;
import com.jme.renderer.Camera;
import com.jme.scene.CameraNode;
import com.jme.scene.Node;
import com.jme.scene.shape.Box;

/**
 * 
 * @author jbeaufils
 * @version 1.0
 */

public class PointCamera {
	private CameraNode camNode = null;
	private Node aimNode = null;
	public static final Logger LOGGER = Logger.getLogger(PointCamera.class);
	
	public PointCamera(Camera pCam) {
		camNode = new CameraNode("camera 1", pCam);
		camNode.setLocalTranslation(new Vector3f(0,0,100));
		aimNode = new Node("camera aim");
		aimNode.setLocalTranslation(new Vector3f(100,10,-100));
		Box box = new Box("cam box", new Vector3f(0,0,0), 10, 10, 10);
		aimNode.attachChild(box);
		aimNode.attachChild(camNode);
	}
	
	public void turn(float angle) {
		Matrix3f rotMat = new Matrix3f();
		rotMat.fromAngleAxis(angle, Vector3f.UNIT_Y);
		camNode.setLocalRotation(rotMat);
		LOGGER.debug("ROTATE");
	}
	
	public void putUp(float angle) {
		
	}
	
	public void putDown(float angle) {
		
	}
	
	public void zoomIn(float value) {
		
	}
	
	public void zoomOut(float value) {
		
	}
	
}

